Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

exportDbServerLogToObjectStorage

Prev Next

Available in VPC

Send Cloud DB for PostgreSQL instance DB server log files to Object Storage.
To send DB server log files to Object Storage, Object Storage buckets for storing and searching DB server log files must be created in advance. For more information, see the Object Storage Guide.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vpostgresql/v2/exportDbServerLogToObjectStorage
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for PostgreSQL instance whose DB server log file you want to send to Object Storage
  • Check through getRegionList
  • First Region of the getRegionList query result
logType String Required DB server log file type
  • POSTGRESQL_LOG
fileName String Required DB server log file name
bucketName String Required Name of the Object Storage bucket the DB server log file will be sent to
cloudPostgresqlServerInstanceNo String Required Cloud DB for PostgreSQL server instance number
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/exportDbServerLogToObjectStorage
?regionCode=KR
&logType=POSTGRESQL_LOG
&fileName=postgresql_000000.log
&bucketName=postgresql-log
&cloudPostgresqlServerInstanceNo=****925' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json
{
    "exportDbServerLogToObjectStorageResponse": {
        "requestId": "4225e9a1-****-****-****-ff33dd9141a7",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<exportDbServerLogToObjectStorageResponse>
    <requestId>4225e9a1-****-****-****-ff33dd9141a7</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
</exportDbServerLogToObjectStorageResponse>